Bug 154426 - [RHEL-2.1] cronjobs start too early
[RHEL-2.1] cronjobs start too early
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: vixie-cron (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-04-11 12:33 EDT by David Lehman
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-16 09:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lehman 2005-04-11 12:33:49 EDT
+++ This bug was initially created as a clone of Bug #154424 +++

+++ This bug was initially created as a clone of Bug #106578 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030624

Description of problem:
sometimes cronjobs start earlier then configured in crontab.

* * * * *  date +'\%s.\%N' >> /tmp/date-2.log ;date >> /tmp/date-2.log

Wed Oct  8 12:21:00 CEST 2003
Wed Oct  8 12:21:59 CEST 2003

the smallest intervall is 58.1968970298767

this problem is very dangerous for example logrotating at 00:00:00 with a date
in file name

You can also find some entries in cron log from cron.hourly with HH:00:59
(should be > HH:01:00)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.crontab -e: * * * * *  date +'\%s.\%N' >> /tmp/date-2.log
2.cat date-2.log |sort -nr|perl -ne '$NEW=$_;chop $NEW ;print "$NEW - $LAST:\t";
print $NEW - $LAST ."\n" ;$LAST=$NEW ;'
3. or: grep cron.hourly /etc/crontab; grep ":00:59" /var/log/cron*

Additional info:
This was initially reported against RHL9. A fix has been intruduced into
vixie-cron-4.x. Customer is requesting the fix be backported to RHEL2.1.
Comment 1 Jason Vas Dias 2005-07-27 17:46:15 EDT
I don't think this bug warrants an errata update for RHEL-2.1 .
Should customers require that this bug (and MANY others) be fixed, they
should install vixie-cron-4.1-2_EL2, available from:
This is on a CVS branch tag (not the head release) and is built in
dist-2.1-scratch .
Comment 2 Marcela Mašláňová 2007-07-16 09:42:00 EDT
This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.